<?php

    @session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    include "../config/conf.php";

    if ($_POST) {
    	$id = $_POST["id"];
    	$descricao = trim($_POST["descricao"]);

    	$sql = "update foto set descricao = '$descricao' where id = ".(int)$id." limit 1";
    	$consulta = $db->prepare($sql);
    	if (!$consulta->execute()) echo "Não foi possível gravar a descrição";
    	else echo "Descrição salva com sucesso";

    } else {
    	echo "Erro ao excluir imagem";
    }